package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MemberPriceSettings;
import com.yonge.cooleshow.common.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

/**
 * @Author: liweifan
 * @Data: 2022-04-25 14:34:49
 */
@ApiModel(value = "MemberPriceSettingsVo对象", description = "查询视图对象")
public class MemberPriceSettingsVo extends MemberPriceSettings{
    private static final long serialVersionUID = 1L;
    @ApiModelProperty("更新人 ")
    private String modifierName;


    @ApiModelProperty("专属优惠 0：否 1：是")
    private YesOrNoEnum discount = YesOrNoEnum.NO;

    @ApiModelProperty("优惠价格")
    private BigDecimal discountPrice;

    public YesOrNoEnum getDiscount() {
        return discount;
    }

    public void setDiscount(YesOrNoEnum discount) {
        this.discount = discount;
    }

    public BigDecimal getDiscountPrice() {
        return discountPrice;
    }

    public void setDiscountPrice(BigDecimal discountPrice) {
        this.discountPrice = discountPrice;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

}